[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPSList.Assign

Copy one list to another

## Declaration

Source position: fgl.pp line 87

`public procedure TFPSList.Assign(`
`Obj: TFPSList`
`);`

## Arguments

`Obj` |  | Source list from which to copy items.

## Description

Assign clears the list and will add all items from Obj to the list. The items are copied one by one.

## Errors

If the TFPSList.ItemSize differs for the two lists, an EListError exception is raised.

## See also

TFPSList.Add |  | Add a new item to the list